Subject: Re: bug#13949: 24.4.1; `fill-paragraph' should not always put the buffer as modified

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Sun, 27 Mar 2016 18:33:35 +0200

Óscar Fuentes <[email-masked]> writes:

> I don't think so. It could be auto-disabled for large buffers and the
> check would only take place when the size of the buffer is the same as
> the size of the original file.

Oh yeah, that's true...  Except for the problem with the text
properties.  :-)

> Then, the hash would be calculated on a idle timer that is fired after
> a command that changes the contents...

I think I'd want the "buffer changed" indicator to reflect the state
immediately after doing an edit, though.  It's been a long-standing
annoyance that Emacs claims that the buffer is changed when it "kinda
isn't" (i.e., insert "a" and then delete it).  I want to see that
immediately in the mode line.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no